Summary:	xmag application to magnify parts of the screem
Summary(pl.UTF-8):	Aplikacja xmag powiększająca kawałki ekranu
Name:		xorg-app-xmag
Version:	1.0.7
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xmag-%{version}.tar.xz
# Source0-md5:	c73f20334a36879868b4f6ced17b1ead
Source1:	xmag.desktop
Source2:	xmag.png
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xmag program allows you to magnify portions of an X screen.

%description -l pl.UTF-8
Aplikacja xmag pozwala powiększać części ekranu X.

%prep
%setup -q -n xmag-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xmag.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xmag.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xmag
%{_datadir}/X11/app-defaults/Xmag
%{_desktopdir}/xmag.desktop
%{_pixmapsdir}/xmag.png
%{_mandir}/man1/xmag.1*
%changelog
* Wed Jul 13 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xmag.git;a=log;h=master

* Wed Jul 13 2022 Jakub Bogusz <qboosh@pld-linux.org> a47a513
- updated to 1.0.7

* Tue Apr 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 4989e92
- updated to 1.0.6

* Tue Jan 15 2013 Jakub Bogusz <qboosh@pld-linux.org> dbd9eea
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 6aed04d
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> fc71a29
- updated to 1.0.4

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> c030393
- updated util-macros version

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e1d522f
- up to 1.0.3

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5379429
- rel 4; fix build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7cbef54
- new

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3635b5f
- rel 4; don't rebuild am/ac until rebuilt tarball available

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 25e8a4f
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> a90c638
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Aug 21 2007 Jakub Bogusz <qboosh@pld-linux.org> c1c121c
- informative descs

* Thu Aug 16 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 45991c6
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 24bcf26
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ee89307
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 83debfa
- use individual dir, more verbose files, release 1

* Tue Feb 07 2006 Jakub Bogusz <qboosh@pld-linux.org> ef1a18c
- merged xmag.{desktop,png} from monolith

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 93c2c39
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> c8e1c9b
- 1.0.1 (X11R7.0 release)

